Subject: [manet] OLSR : Depth of the Topology Set ?

From: Aurélien Ribon <[email-masked]>
Date: Fri, 3 Jul 2009 11:20:35 +0200

Hello,

I am currently writing an hardware architecture of OLSR in VHDL, and as a
consequence I can not use as many RAM blocks as I want to store the
repositories' data. So, I need to know what is the worst case for each olsr
repository.

I am considering a network of 256 nodes with a maximum of 16 neighbours per
node, and 3 interfaces per node.
It is not really hard to see that as a result there should not be more than
16 entries in the MPR Set, 16 in the MPR Selector Set, etc.

Actually, the only repository for which I can not figure its maximum size is
the "Topology Set".
In my opinion, if there is 256 nodes in the network and a maximum of 16
neighbours per node, the worst case for this set is to contain 256 * 16
entries. Am I right about that ?

Thank you,
Aurélien Ribon